com.holonplatform.vaadin.flow.components

## Interface ValidatableSingleSelect<T>

- Type Parameters:
    `T` - Selection item type
  All Superinterfaces:
    HasComponent, com.vaadin.flow.component.HasElement, Input<T>, ItemSet, Selectable<T>, Serializable, SingleSelect<T>, Validatable, ValidatableInput<T>, ValueComponent<T>, ValueHolder<T,ValueHolder.ValueChangeEvent<T>>

      public interface ValidatableSingleSelect<T>
      extends SingleSelect<T>, ValidatableInput<T>

  An `SingleSelect` component with validation support using `Validator`s.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.Selectable

      `Selectable.SelectionEvent<T>, Selectable.SelectionListener<T>, Selectable.SelectionMode`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.Input

      `Input.InputPropertyRenderer<T>, Input.InputValueConversionException, Input.PropertyHandler<P,T,V extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.ValueHolder

      `ValueHolder.ValueChangeEvent<V>, ValueHolder.ValueChangeListener<V,E extends ValueHolder.ValueChangeEvent<V>>`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ValidatableSingleSelect<T>` | `from(SingleSelect<T> input)` Create a `ValidatableSingleSelect` from given `SingleSelect` instance.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.SingleSelect

      `create, create, create, create, deselectAll, getFirstSelectedItem, getSelectedItem, getSelectedItems, getSelectionMode, options, options, options, options`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.Selectable

      `addSelectionListener, deselect, isSelected, select`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ItemSet

      `refresh`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ValidatableInput

      `addValidator, builder, create, forProperty, getValidationStatusHandler, getValue, isValidateOnValueChange, setValidateOnValueChange, setValidationStatusHandler`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.Input

      `asHasValue, boolean_, builder, date, dateTime, enumMultiSelect, enumOptionSelect, enumSelect, focus, from, from, from, from, hasInvalidChangeEventNotifier, hasPlaceholder, hasTitle, isReadOnly, isRequired, localDate, localDateTime, localTime, multiOptionSelect, multiOptionSelect, multiOptionSelect, multiOptionSelect, number, password, setReadOnly, setRequired, singleOptionSelect, singleOptionSelect, singleOptionSelect, singleOptionSelect, singleSelect, singleSelect, singleSelect, singleSelect, string, stringArea`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ValueHolder

      `addValueChangeListener, clear, getEmptyValue, getValueIfPresent, isEmpty, setValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ValueComponent

      `hasValueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.HasComponent

      `create, getComponent, getElement, hasEnabled, hasLabel, hasSize, hasStyle, hasValidation, isVisible, setVisible`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.Validatable

      `adapt, adapt, adapt, adapt, adapt, isValid, validate`

- - ### Method Detail

    - #### from

          static <T> ValidatableSingleSelect<T> from(SingleSelect<T> input)

      Create a `ValidatableSingleSelect` from given `SingleSelect` instance.
      Specified by:
        `from` in interface `Input<T>`
      Specified by:
        `from` in interface `ValidatableInput<T>`
      Type Parameters:
        `T` - Selection item type
      Parameters:
        `input` - The `SingleSelect` instance (not null)
      Returns:
        A new `ValidatableSingleSelect` component which wraps the given `input`

Copyright © 2019 The Holon Platform. All rights reserved.